body {
  background: #332a54;
  background: linear-gradient(
    45deg,
    rgba(51, 42, 84, 1) 0%,
    rgba(21, 12, 56, 1) 100%
  );
  background-attachment: fixed;
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  height: 100vh;
  overflow: hidden;
}

#title {
  display: flex;
  flex-direction: row;
  gap: 1em;
}

#title > * {
  color: rgb(243, 203, 72);
  font-size: 12vw;
  font-family: "Roboto";
  font-weight: 700;
}

#title > * > span {
  color: rgb(250, 214, 96);
  font-size: 28px;
  margin-left: 2px;
}

/* Le conteneur principal */
.calendar-container {
  width: fit-content;
  margin: 0 auto;
}

/* L'en-tête */
.calendar-header {
  display: grid;
  grid-template-columns: repeat(7, 1fr); /* 7 colonnes égales */
  gap: 5px; /* Espace entre les lettres si besoin */
  margin-bottom: 10px;
}

.calendar-header div {
  color: rgb(243, 203, 72);
  font-family: "Roboto", sans-serif;
  font-weight: 700;
  font-size: 5vw;
  text-align: center;
}

/* La grille des cases */
.calendar-grid {
  display: grid;
  grid-template-columns: repeat(7, 1fr); /* 7 colonnes égales */
  gap: 3vw; /* Gère l'espacement sans bordures transparentes */
}

.day {
  width: 8vw;
  height: 8vw;
  /* Remplace la bordure de votre ancien tableau */
  border: 3px solid transparent;
  box-sizing: border-box; /* Important pour que la bordure ne déforme pas la taille */
}

.remaining {
  background-color: rgb(243, 203, 72);
}

.passed {
  background-color: grey;
}

@keyframes colorSwitch {
  0% {
    background-color: rgb(243, 203, 72);
  }
  100% {
    background-color: rgb(255, 123, 0);
  }
}

.mimiqui img {
  width: 50%;
  height: auto;
  /* fixed : relative au viewport, n'agrandit pas la zone scrollable */
  position: fixed;
  rotate: -30deg;
  animation: animateMimiqui 5s infinite;
}

@keyframes animateMimiqui {
  0% {
    bottom: -500px;
    right: -320px;
    rotate: -30deg;
  }
  20% {
    bottom: -500px;
    right: -320px;
    rotate: -30deg;
  }
  30% {
    bottom: 0px;
    right: 0px;
    rotate: -30deg;
  }
  70% {
    bottom: 0px;
    right: 0px;
    rotate: -30deg;
  }
  75% {
    bottom: -500px;
    right: -320px;
    rotate: -30deg;
  }
  100% {
    bottom: -500px;
    right: -320px;
    rotate: -30deg;
  }
}

.current {
  animation: colorSwitch 1s infinite alternate ease-in-out;
}
